Custom fields
List custom fields
get
https://rcur.app/api/v2/custom-fields
Requires your API key as Authorization: Bearer <key>. See authentication.
Query parameters
-
pageintegerPage number for pagination
Default:
1
Responses
200 List of custom fields object
-
dataarray of CustomFields9 child attributes · CustomField
-
idstring required -
namestring requiredInternal name
-
labelstring requiredThe question as the customer sees it
-
typestring requiredOne of
texttextareanumberselectcheckboxdate -
optionsarray of strings requiredThe choices of a select field
-
requiredboolean required -
store_on_customerbooleanThe latest answer is kept on the customer
-
store_on_recordbooleanThe answer is kept on the payment, order or subscription of the checkout
-
created_atstring required
-
-
linksobject4 child attributes
-
firststring -
laststring -
prevstring nullable -
nextstring nullable
-
-
metaobject4 child attributes
-
current_pageinteger -
last_pageinteger -
per_pageinteger -
totalinteger
-